Bug 18938 - The Status of this Document section should reference http://html5.org/specs/dom-parsing.html and explain the relationship between the two documents
The Status of this Document section should reference http://html5.org/specs/d...
Status: RESOLVED FIXED
Product: WebAppsWG
Classification: Unclassified
Component: DOM Parsing and Serialization
unspecified
PC All
: P2 normal
: ---
Assigned To: Travis Leithead [MSFT]
public-webapps-bugzilla
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-20 18:11 UTC by Edward O'Connor
Modified: 2014-03-28 21:12 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Edward O'Connor 2012-09-20 18:11:33 UTC

    
Comment 1 Edward O'Connor 2012-09-20 18:18:02 UTC
Specificlally, I have several questions that I hoped the SoTD would answer. Is this a one-time fork, or do you intend to continually pull changes in from the other document? Relatedly, is convergence over time (or, minimally, the avoidance of unnecessary divergence) a goal, as it is with HTML? How do the editors of the two documents intend to work together? It would be really unfortunate if different UA implementations track different documents that diverge over time.
Comment 2 Travis Leithead [MSFT] 2012-09-20 18:54:47 UTC
Yes, this topic needs to be addressed. Adding ms2ger to the discussion as well.

Ms2ger has indicated that working on the WebApps' published version of DOM Parsing and Serialization is not in his/her interest. I assume then that Ms2ger will continue to refine and improve the spec over at http://html5.org/specs/dom-parsing.html. 

I don't believe it's in any implementor's best interest to have two divergent specs. Therefore my goal is to keep the two specs as similar as possible in relation to features and algorithms. Microsoft is committed to seeing specifications advanced to Recommendations at the W3C, and hence my involvement in the WebApps's copy.

I don't know if true convergence is possible (at least at the source level--as these specs have different license descriptions, templates, process models, etc.) but I'm committed to keeping this document up-to-date with any updates that Ms2ger makes to the html5.org document.

If there's a way to resolve the current situation such that DOM Parsing and Serialization can continue in the W3C, and with Ms2ger at the helm--then I'm all for that (I have no particular ego investment with this spec--I'm just trying to deliver a W3C specification the best way I know how). If there's alternative ideas, then let's discuss them.
Comment 3 Travis Leithead [MSFT] 2013-11-26 19:21:20 UTC
I've substantially updated the header information in the editor's draft to reference the ongoing work in the Living Standard, the test suite, as well as crafted what I believe to be an accurate representation on the process and relationship between the two documents in the SOTD section.

At the moment, this document has diverged quite a bit from the Living Standard, as I've made a big push to finish the spec, resolve the open issues in the Living Standard, and removed feature additions that I believe have little chance of being implemented (but could be added to a v2 should we want to do a sequel).

Since the Living Standard has fallen behind a bit in it's "living-ness" the W3C copy is the version I hope implementations will track to. However, it's possible that in the future the Living standard may catch-up and surpass the level of completeness/features available in this published edition. 

My goal here is to get a version of the spec that can be transitioned to a recommendation quickly, so I've focused on the interoperable feature set for this version.
Comment 4 Travis Leithead [MSFT] 2014-03-28 21:12:29 UTC
Note, this was changeset:
https://dvcs.w3.org/hg/innerhtml/rev/42973d9748d9